Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039036
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-07-24 18:192018-08-09 17:22
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revisione0772da8f954
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039036: Wrong Current Unit Cost for production products in Inventory Amount Update Lines

DescriptionWrong Current Unit Cost for production products in Inventory Amount Update Lines
Steps To ReproduceAs group admin role:
   Create a new Costing Rule
   Set it with warehouse dimension
   Validate it
   Create a new product
   Set it as production
   Add a purchase price list to it
   Create two purchase orders, one for Region Norte and one for Region Sur
   Add the previously created product in both of them but with different price
   Create the related goods receipts

   Launch the Costing Background Process

   Create a Inventory Amount Update
   Add the previously created product
   Leave the warehouse empty and check Current Inventory Amount and On hand qty shows the whole stock and cost valuation. This is correct
   Set a warehouse and check the current inventory amount remains the same but on hand qty shows only the amount on that warehouse. Thus, Current Unit Cost is wrong
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106246)
markmm82 (developer)
2018-08-08 19:19

Test Plan:
As group admin role:
   Create a new Costing Rule
   Set it with warehouse dimension
   Validate it
   Create a new product
   Set it as production
   Add a purchase price list to it
   Create two purchase orders, one for Region Norte and one for Region Sur
   Add the previously created product in both of them but with different price
   Create the related goods receipts

   Launch the Costing Background Process

   Create a Inventory Amount Update
   Add the previously created product
   Notice the warehouse field is hidden and check Current Inventory Amount and On hand qty shows the whole stock and cost valuation. This is correct.

   Now, change the product and select aproduct that isn't a production product.
   Notice the warehouse field is shown with the default warehouse and check Current Inventory Amount and On hand qty shows the whole stock and cost valuation. This is correct.
(0106251)
hgbot (developer)
2018-08-09 13:14

Repository: erp/devel/pi
Changeset: e0772da8f954ef42e1d809138c74dd5354d4fa1b
Author: Mark <markmm82 <at> gmail.com>
Date: Wed Aug 08 13:12:19 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/e0772da8f954ef42e1d809138c74dd5354d4fa1b [^]

Fixes issue 39036: Wrong Current Unit Cost for production products
in Inventory Amount Update Lines

To avoid confusion to users if the selected product is marked as production then
the warehouse dimension will be hidden as this dimension is not taken into account
in the process when the Current Inventory Amount and On hand qty values are calculated
for production products.

This solution includes:
- Created a new auxiliary input related to the Inventory Amount Update Lines tab to store
  the value if the selected product is a production product or not.
- Was modified the Display Logic of the Warehouse field to take into account if the selected
  product is a production product or not. In case it is the field is hidden, in other case it is shown.
- Was modified the SL_InvAmtUpd_ProductRefDate.java callout to set an empy warehouse
  when the product is marked as production.

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/erpCommon/ad_callouts/SL_InvAmtUpd_ProductRefDate.java
---
(0106252)
Sandrahuguet (developer)
2018-08-09 13:16

Code review + testing OK
(0106268)
hudsonbot (developer)
2018-08-09 17:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/eed070ea968c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-07-24 18:19 ngarcia New Issue
2018-07-24 18:19 ngarcia Assigned To => Triage Finance
2018-07-24 18:19 ngarcia Modules => Core
2018-07-24 18:19 ngarcia Triggers an Emergency Pack => No
2018-07-24 18:20 ngarcia Issue Monitored: networkb
2018-07-27 17:08 markmm82 Assigned To Triage Finance => markmm82
2018-07-27 17:08 markmm82 Status new => acknowledged
2018-07-30 17:43 ngarcia Steps to Reproduce Updated View Revisions
2018-08-08 19:19 markmm82 Note Added: 0106246
2018-08-08 19:27 markmm82 Status acknowledged => scheduled
2018-08-09 13:14 hgbot Checkin
2018-08-09 13:14 hgbot Note Added: 0106251
2018-08-09 13:14 hgbot Status scheduled => resolved
2018-08-09 13:14 hgbot Resolution open => fixed
2018-08-09 13:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e0772da8f954ef42e1d809138c74dd5354d4fa1b [^]
2018-08-09 13:16 Sandrahuguet Review Assigned To => Sandrahuguet
2018-08-09 13:16 Sandrahuguet Note Added: 0106252
2018-08-09 13:16 Sandrahuguet Status resolved => closed
2018-08-09 13:16 Sandrahuguet Fixed in Version => 3.0PR18Q4
2018-08-09 17:22 hudsonbot Checkin
2018-08-09 17:22 hudsonbot Note Added: 0106268


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker